diff --git a/changelog b/changelog
index 38a9914..96bd57c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20111129 tpd src/axiom-website/patches.html 20111129.01.tpd.patch
+20111129 tpd src/axiom-website/litprog.html literate program example update
+20111129 tpd src/axiom-website/documentation.html add Alexander quote
 20111124 tpd src/axiom-website/patches.html 20111124.04.tpd.patch
 20111124 tpd src/interp/c-doc.lisp treeshake compiler
 20111124 tpd books/bookvol9 treeshake compiler
diff --git a/src/axiom-website/documentation.html b/src/axiom-website/documentation.html
index 88fceec..d9d00c4 100644
--- a/src/axiom-website/documentation.html
+++ b/src/axiom-website/documentation.html
@@ -123,6 +123,20 @@
   <h1> Why Literate Programming?</h1>
 </center>
 <br/><br/>
+<blockquote>
+<b>In my life as an artchitect, I find that the single thing which inhibits
+young professionals, new students most severely, is their acceptance of
+standards that are too low. If I ask a student whether her design is as
+good as Chartres, she often smiles tolerantly at me as if to say, "Of
+course not, that isn't what I am trying to do...I could never do that."</b>
+<br/><br/>
+<b>Then, I express my disagreement, and tell her: "That standard must be 
+our standard. If you are going to be a builder, no other standard is
+worthwhile."</b>
+<br/><br/>
+--Christopher Alexander, May 1996 in (Patterns of Software, Gabriel)
+<br/>
+</blockquote>
 <br/><br/>
 <blockquote>
 <b>The best programming language is English. Everything else is notation.</b>
diff --git a/src/axiom-website/litprog.html b/src/axiom-website/litprog.html
index ad5a706..76620b2 100644
--- a/src/axiom-website/litprog.html
+++ b/src/axiom-website/litprog.html
@@ -72,6 +72,20 @@ We program to communicate to the machine, not to communicate to people.<br/>
 </p>
 
 <h3>1.2 Is there a better way?</h3>
+<blockquote>
+In my life as an artchitect, I find that the single thing which inhibits
+young professionals, new students most severely, is their acceptance of
+standards that are too low. If I ask a student whether her design is as
+good as Chartres, she often smiles tolerantly at me as if to say, "Of
+course not, that isn't what I am trying to do...I could never do that."
+<br/><br/>
+Then, I express my disagreement, and tell her: "That standard must be 
+our standard. If you are going to be a builder, no other standard is
+worthwhile."
+<br/>
+--Christopher Alexander, May 1996 in (Patterns of Software, Gabriel)
+<br/>
+</blockquote>
 <p>
 Consider the best possible world. You've been hired at a company and
 join a team that is already working on a program. They hand you a book,
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a3cc5ef..0d10bda 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3696,5 +3696,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvolbib add additional references<br/>
 <a href="patches/20111124.04.tpd.patch">20111124.04.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20111129.01.tpd.patch">20111129.01.tpd.patch</a>
+src/axiom-website/litprog.html literate program example<br/>
  </body>
 </html>
